# 基于docker的webman-jsonrpc

我们在`php:8.1-cli`基础上安装了运行webman必要的一些扩展和开发中常用的扩展，以及composer，制作成`workerman:8.1`镜像，因此在开发环境中不需要再额外配置php环境，直接写业务代码即可。

## 依赖

只要系统环境中有docker即可，不需要安装php环境

## 使用方法

```sh
# 启动
./start
# composer
./composer install
./conposer require xxxx
```

## 一些有用的文件

| 文件 | 作用 | 用法或说明 |
|---|---|---|
|composer|调起容器中的`composer`命令的shell脚本|用法与主机中的compose完全一致，`./composer $args...`|
|run|调起容器中的`php start.php`命令的shell脚本，支持一系统参数，并支持-d模式|`./run help`可以查看用法|
|docker-compose.yml|运行容器的编排文件|一般不需要理会这个文件，composer和start脚本都需要依赖这个文件|
|docker.conf|定义运行服务的容器名称和使用的镜像版本|注意container_name不要与系统中其他服务的容器重名|
|php.ini|映射到容器中的php.ini配置文件|容器中已经安装的扩展都有单独的配置文件，这里不会有体现|

## 服务端口

在.env文件中可以定义服务端口，默认情况下docker容器是在host网络下启动的，当然，实际使用中也可以改成端口映射模式。
